r18366 - gnucash/trunk/packaging/win32 - Bug #596248: Disable pgsql in libdbi build because the available pgsql binaries depend on Visual Studio C runtime.

Christian Stimming cstim at code.gnucash.org
Sat Oct 3 10:06:29 EDT 2009


Author: cstim
Date: 2009-10-03 10:06:28 -0400 (Sat, 03 Oct 2009)
New Revision: 18366
Trac: http://svn.gnucash.org/trac/changeset/18366

Modified:
   gnucash/trunk/packaging/win32/dist.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Bug #596248: Disable pgsql in libdbi build because the available pgsql binaries depend on Visual Studio C runtime.

This can be enabled again as soon as we pgsql binaries available
which do not depend on MSVCR71.DLL anymore.

Modified: gnucash/trunk/packaging/win32/dist.sh
===================================================================
--- gnucash/trunk/packaging/win32/dist.sh	2009-10-03 14:01:28 UTC (rev 18365)
+++ gnucash/trunk/packaging/win32/dist.sh	2009-10-03 14:06:28 UTC (rev 18366)
@@ -200,8 +200,8 @@
     cp -a ${_SQLITE3_UDIR}/lib/* ${DIST_UDIR}/lib
     cp -a ${_MYSQL_LIB_UDIR}/bin/* ${DIST_UDIR}/bin
     cp -a ${_MYSQL_LIB_UDIR}/lib/* ${DIST_UDIR}/lib
-    cp -a ${_PGSQL_UDIR}/bin/* ${DIST_UDIR}/bin
-    cp -a ${_PGSQL_UDIR}/lib/* ${DIST_UDIR}/lib
+#    cp -a ${_PGSQL_UDIR}/bin/* ${DIST_UDIR}/bin
+#    cp -a ${_PGSQL_UDIR}/lib/* ${DIST_UDIR}/lib
     cp -a ${_LIBDBI_UDIR}/bin/* ${DIST_UDIR}/bin
     cp -a ${_LIBDBI_UDIR}/lib/* ${DIST_UDIR}/lib
     mkdir ${DIST_UDIR}/lib/dbd

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2009-10-03 14:01:28 UTC (rev 18365)
+++ gnucash/trunk/packaging/win32/install.sh	2009-10-03 14:06:28 UTC (rev 18366)
@@ -1079,14 +1079,14 @@
         test -f ${_MYSQL_LIB_UDIR}/lib/libmysql.dll || die "mysql not installed correctly - libmysql.dll"
         test -f ${_MYSQL_LIB_UDIR}/lib/libmysqlclient.a || die "mysql not installed correctly - libmysqlclient.a"
     fi
-    if test -f ${_PGSQL_UDIR}/lib/libpq.dll
-    then
-        echo "PGSQL library already installed.  skipping."
-    else
-        wget_unpacked $PGSQL_LIB_URL $DOWNLOAD_DIR $TMP_DIR
-        mv $TMP_UDIR/pgsql* $PGSQL_DIR
-        test -f ${_PGSQL_UDIR}/lib/libpq.dll || die "libpq not installed correctly"
-    fi
+#     if test -f ${_PGSQL_UDIR}/lib/libpq.dll
+#     then
+#         echo "PGSQL library already installed.  skipping."
+#     else
+#         wget_unpacked $PGSQL_LIB_URL $DOWNLOAD_DIR $TMP_DIR
+#         mv $TMP_UDIR/pgsql* $PGSQL_DIR
+#         test -f ${_PGSQL_UDIR}/lib/libpq.dll || die "libpq not installed correctly"
+#     fi
     if test -f ${_LIBDBI_UDIR}/bin/libdbi-0.dll
     then
         echo "libdbi already installed.  skipping."
@@ -1110,8 +1110,8 @@
         test -f ${_LIBDBI_UDIR}/bin/libdbi-0.dll || die "libdbi not installed correctly"
     fi
     if test -f ${_LIBDBI_DRIVERS_UDIR}/lib/dbd/libdbdsqlite3.dll -a \
-            -f ${_LIBDBI_DRIVERS_UDIR}/lib/dbd/libdbdmysql.dll -a \
-            -f ${_LIBDBI_DRIVERS_UDIR}/lib/dbd/libdbdpgsql.dll
+            -f ${_LIBDBI_DRIVERS_UDIR}/lib/dbd/libdbdmysql.dll
+            #-a -f ${_LIBDBI_DRIVERS_UDIR}/lib/dbd/libdbdpgsql.dll
     then
         echo "libdbi drivers already installed.  skipping."
     else
@@ -1134,15 +1134,15 @@
                 --with-sqlite3-dir=${_SQLITE3_UDIR} \
                 --with-mysql \
                 --with-mysql-dir=${_MYSQL_LIB_UDIR} \
-                --with-pgsql \
-                --with-pgsql-dir=${_PGSQL_UDIR} \
                 --prefix=${_LIBDBI_DRIVERS_UDIR}
+                #--with-pgsql \
+                #--with-pgsql-dir=${_PGSQL_UDIR}
             make
             make install
         qpopd
         test -f ${_LIBDBI_DRIVERS_UDIR}/lib/dbd/libdbdsqlite3.dll || die "libdbi sqlite3 driver not installed correctly"
         test -f ${_LIBDBI_DRIVERS_UDIR}/lib/dbd/libdbdmysql.dll || die "libdbi mysql driver not installed correctly"
-        test -f ${_LIBDBI_DRIVERS_UDIR}/lib/dbd/libdbdpgsql.dll || die "libdbi pgsql driver not installed correctly"
+        #test -f ${_LIBDBI_DRIVERS_UDIR}/lib/dbd/libdbdpgsql.dll || die "libdbi pgsql driver not installed correctly"
     fi
 }
 



More information about the gnucash-changes mailing list